Bug 210063 - astro/qmapshack: update to 1.6.1, unbreak and undeprecate
Summary: astro/qmapshack: update to 1.6.1, unbreak and undeprecate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords: patch
Depends on: 210062
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-05 20:29 UTC by Christoph Moench-Tegeder
Modified: 2016-06-10 09:41 UTC (History)
1 user (show)

See Also:
bofh: maintainer-feedback+


Attachments
update qmapshack (6.31 KB, patch)
2016-06-05 20:29 UTC, Christoph Moench-Tegeder
no flags Details | Diff
poudriere testport log (462.21 KB, text/x-log)
2016-06-05 20:30 UTC, Christoph Moench-Tegeder
no flags Details
update qmapshack - with c++11 compiler and lib (6.36 KB, patch)
2016-06-10 08:49 UTC, Christoph Moench-Tegeder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2016-06-05 20:29:38 UTC
Created attachment 171075 [details]
update qmapshack

Attached patch updates astro/qmapshack to 1.6.1, thereby unbreaking the port.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2016-06-05 20:30:28 UTC
Created attachment 171076 [details]
poudriere testport log
Comment 2 Muhammad Moinur Rahman freebsd_committer 2016-06-09 22:34:35 UTC
Primary investigation says has some issues with compiler. Doesn't build in 9.3.
Comment 3 Christoph Moench-Tegeder freebsd_committer 2016-06-10 08:49:10 UTC
Created attachment 171260 [details]
update qmapshack - with c++11 compiler and lib

In my tests, I could fix the build issue on 9.3 by adding compiler:c++11-lib to USES, see updated patch.
Comment 4 commit-hook freebsd_committer 2016-06-10 09:40:50 UTC
A commit references this bug:

Author: bofh
Date: Fri Jun 10 09:40:13 UTC 2016
New revision: 416665
URL: https://svnweb.freebsd.org/changeset/ports/416665

Log:
  astro/qmapshack: Update version 1.3.1=>1.6.1

  - UNBREAK
  - Remove depreceation
  - Reqiores c++11 based compiler

  PR:		210063
  Submitted by:	cmt

Changes:
  head/astro/qmapshack/Makefile
  head/astro/qmapshack/distinfo
  head/astro/qmapshack/files/patch-src_device_IDevice.cpp
  head/astro/qmapshack/files/patch-src_gis_CGisListWks.cpp
  head/astro/qmapshack/files/patch-src_setup_IAppSetup.cpp
  head/astro/qmapshack/pkg-plist
Comment 5 Muhammad Moinur Rahman freebsd_committer 2016-06-10 09:41:30 UTC
Committed with changes.